Subject: Re: bug#1379: emacs --daemon not working with X11 dual-head

From: Dan Nicolaescu <[email-masked]>
Date: Thu, 20 Nov 2008 09:26:45 -0800 (PST)

[email-masked] writes:

  > >>>>> "Dan" == Dan Nicolaescu <[email-masked]> writes:
  > 
  > Hi Dan,
  > 
  >     Dan> [email-masked] writes:
  >     >> Hi,
  >     >> 
  >     >> I wanted to start using the "emacs --daemon" option with
  >     >> subsequent "emacsclient ..." invocations. Everything works
  >     >> fine, as long as only one of my X11 screens is used. But when I
  >     >> want to start a new frame on display :0.1 while one or more
  >     >> frames are already running on display :0.0 the following
  >     >> happens:
  >     >> 
  >     >> - Executing "emacsclient -c " for the first time: A frame
  >     >> appears, and immediately disappears again with the error
  >     >> message *ERROR*: X protocol error: BadDrawable (invalid Pixmap
  >     >> or Window parameter) on protocol request 14
  >     >> 
  >     >> - Executing "emacsclient -c " for the second time: A frame
  >     >> appears, but emacs is in a complete dead lock after this.
  >     >> 
  >     >> Used Version: i emacs-snapshot 1:20081013-1
  >     >> 
  >     >> on Ubuntu 8.10 / x86_64
  > 
  > 
  >     Dan> Can you please try to see if your scenario works without
  >     Dan> using the --daemon option?
  > 
  >     Dan> Start emacs like this:
  > 
  >     Dan> emacs -Q -f server-start&
  > 
  >     Dan> and then use emacsclient -c to connect.
  > 
  > I already had put (server-start) in my .emacs. This shows the same
  > behaviour.

Putting (server-start) in your .emacs is most of the time not the same
as using 

emacs -Q -f server-start&

so please try that, and even better, please try what Stefan asked:

  Actually, can you just try it without any emacsclient/server?
  I.e. start Emacs on one of the screens, then do
  M-x make-frame-on-display and specify the other display.

Make sure that you use 

emacs -Q&

when trying the above.

Thanks